Bug 193338 - anaconda asks for install data _before_ confirming functionality
anaconda asks for install data _before_ confirming functionality
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-05-27 13:16 EDT by james
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-04 14:13:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description james 2006-05-27 13:16:20 EDT
Description of problem:
1) anaconda asks for configuration info - passwords, network info, etc.,
_before_ there exists certainty that the install will be successful.

2) when anaconda is unable to complete an installation, IT EXITS! rather than
restarting with an interactive interface explaining what it needs.

This is simply a "mean-spirited" "slap-in-the-face" user interface design.

Version-Release number of selected component (if applicable):
Fedora Core 5

How reproducible:
much, much too often...

Steps to Reproduce:
1. run the installer
Actual results:
emotional abuse

Expected results:

Additional info:
In all my _years_ of installing redhat distributions,
more than half the time, anaconda will fail to complete an installation.

1) Be _certain_ that all critical install steps can be completed _before_ asking
for configuration data!

2) Never - ever! - shutdown the computer while the user is trying to do an
install.  Let the _user_ decide to "give up".
Comment 1 Jeremy Katz 2006-06-04 14:13:28 EDT
There's never certainty that things will succeed until they're done -- think of
power loss and hardware failures.

But, there are some known areas in FC5 where we'll not retry until the end of
time -- that has been resolved in the development tree for FC6

Note You need to log in before you can comment on or make changes to this bug.